// pages/newInformationtwo/newInformationtwo.js
//获取应用实例
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  //--------------------------获取文章评论信息-------------------------------
  opinionLiseByUser() {
    var that = this;
    if (!app.globalData.hasLogin) {
      that.errShowToast('你还没有登录喔');
      return;
    }
    wx.request({
      url: app.globalData.myUrl + '/user/opinionLiseByUser',
      data: {
        'token': app.globalData.token,
      },
      success: (res) => {
        // console.log(res.data.msg);
        if (res.data.success) {
          that.setData({
            opinion: res.data.msg
          })
        } else {
          that.errShowToast(res.data.msg);
        }
      },
      fail: (res) => {},
    })
  },

  //-------------------------获取指定文章详情----------------------------
  getTree(e) {
    wx.navigateTo({
      url: '/pages/chatDetailed/chatDetailed?id=' + e.currentTarget.id
    })
  },

  //---------------------------函数封装------------------------------
  errShowToast: function (toastText) {
    wx.showToast({
      title: toastText,
      image: '/images/password.png',
      duration: 2000
    });
  },
  sucShowToast: function (toastText) {
    wx.showToast({
      title: toastText,
      duration: 2000
    });
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.opinionLiseByUser()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})